# Uses of Class co.aikar.commands.CommandOperationContext (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: CommandOperationContext

# Uses of Class
co.aikar.commands.CommandOperationContext

Packages that use CommandOperationContext
Package
Description
co.aikar.commands
co.aikar.commands.processors

## Uses of CommandOperationContext in co.aikar.commands

Methods in co.aikar.commands that return CommandOperationContext
Modifier and Type
Method
Description
`static CommandOperationContext`
CommandManager.`getCurrentCommandOperationContext()`
`CommandOperationContext`
BaseCommand.`getLastCommandOperationContext()`
Returns a reference to the last used CommandOperationContext.
`CommandOperationContext`
ForwardingCommand.`getLastCommandOperationContext()`
Methods in co.aikar.commands with parameters of type CommandOperationContext
Modifier and Type
Method
Description
`default void`
AnnotationProcessor.`onPostComand(CommandOperationContext context)`
Deprecated.
`default void`
AnnotationProcessor.`onPreComand(CommandOperationContext context)`
Deprecated.

## Uses of CommandOperationContext in co.aikar.commands.processors

Methods in co.aikar.commands.processors with parameters of type CommandOperationContext
Modifier and Type
Method
Description
`void`
ConditionsProcessor.`onPreComand(CommandOperationContext context)`
Deprecated.